package cz.moneta.test.dsl.ufo.banka.pages.loans.expres;

import cz.moneta.test.harness.support.web.*;

import static cz.moneta.test.dsl.ufo.banka.pages.loans.expres.HLE001_S001_CoApplicantSearchPage.HLE001_S001_PAGE_LABEL_XPATH;

@Wait(value = HLE001_S001_PAGE_LABEL_XPATH, by = Lookup.XPATH)
public interface HLE001_S001_CoApplicantSearchPage extends WebFlow<HLE001_S001_CoApplicantSearchPage> {
    String HLE001_S001_PAGE_LABEL_XPATH = "//div[text()='HLE001_S001']";
    String SEARCH_INPUT = "HLE001_S001_E001";
    String RC_SEARCH_RADIO = "HLE001_S001_G001-1";
    String CIF_SEARCH_RADIO = "HLE001_S001_G001-2";
    String RC_SEARCH_BUTTON = "HLE001_S001_B005";
    String SEARCH_BUTTON = "HLE001_S001_B001";

    @TypeInto(SEARCH_INPUT)
    HLE001_S001_CoApplicantSearchPage fillSearchTerm(String term);

    @Click(RC_SEARCH_RADIO)
    HLE001_S001_CoApplicantSearchPage clickSearchByRc();

    @Click(CIF_SEARCH_RADIO)
    HLE001_S001_CoApplicantSearchPage clickSearchByCif();

    @Click(SEARCH_BUTTON)
    HLE001_S001_CoApplicantSearchPageTransitions clickSearch();

    @Click(RC_SEARCH_BUTTON)
    HLE001_S001_CoApplicantSearchPageTransitions clickSearchByRcButton();
}
